2 partitions, one Lion and one Snow Leopard

Hello,

so in Lion I use 3.9.2 MAS, and want to use this version

in SL I use 3.8.13,

both with the most recent extension in Safari

Why is it that after having used SL , I restart in Lion and 1Password uses 3.8.13 from my SL partition instead of 3.9.2 MAS from my Lion partition ?

Comments

  • khadkhad Social Choreographer

    Team Member
    What are the exact paths to the application bundles?

    They should begin with /Volumes/…

    I should note, however, that in your case it may make much more sense to use 3.8 if you are sharing an Applications folder across multiple partitions on the same machine. There is no requirement to use 3.9 in Lion.
  • thightowerthightower T-Dog Agile's Mascot Community Moderator
    Hey Gilles

    I would like to add to your post, and just add somethings I have found on my own. If you run FF you will notice it will also try to use fonts from the other partition. If you have Xcode installed on one and try to get the other via the MAS it will balk saying you have a version already installed.

    If you have apps from the MAS in 1 and they are older as you don't want to update etc. The updater will look across the partitions and tell you that there is an update even if you are not in that OS at that moment.

    Its a royal PIA at times. Luckily there is an easy fix. SImply unmount the partition before checking for updates for example.

    I think khad's suggestion is the best one and use 3.8 at the moment. I recently went back to the 3.8 series myself and moved away from the MAS for a while. There wasn't an issue just more of a I am able to control my own app, put my backups where I want them and so forth. Thats not available with the MAS version. :(
  • Gilles9Gilles9 Senior Member
    khad wrote:


    I should note, however, that in your case it may make much more sense to use 3.8 if you are sharing an Applications folder across multiple partitions on the same machine. There is no requirement to use 3.9 in Lion.


    OK I don't mind the 3.8.x version has more options anyway than the MAS
    but what will happen with v. 4.x.x, don't I read it will be MAS only

    I suppose you suggest it will all be fix by then ...

    Thanks
  • thightowerthightower T-Dog Agile's Mascot Community Moderator
    There was a post by Dave in the other support channel. Where folks were asking about that.

    Ah never mind let me just grab a link to it :P

    Topic link https://onepassword-osx.tenderapp.com/discussions/1password-in-mac-app-store/1286-upgrade-from-38-to-mas-40

    Daves post https://onepassword-osx.tenderapp.com/discussions/1password-in-mac-app-store/1286-upgrade-from-38-to-mas-40#comment_12338501
  • khadkhad Social Choreographer

    Team Member
    4.0 will be Lion-only (as 3.9 already is). You will need to be sure that you are not sharing an Applications folder across the different OS X installations. I'd say let's cross that bridge when we come to it since I would be troubleshooting a hypothetical 1P4 build at this point. :)

    If you are satisfied with 3.8 in SL and Lion, that would seem to be the solution for now.
This discussion has been closed.